summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-06-09 18:41:17 +0000
committer Eric Hameleers <alien@slackware.com>2024-06-09 21:04:22 +0200
commit5e846dcebfaa9dc5c6d06421b1097b9969c8285e (patch)
tree3a0be39593a11d2d04c498a99f3e3ec3734a93ed /source
parent419e67ee42ec518e6bd6b2431b2dac91756998cf (diff)
downloadcurrent-5e846dcebfaa9dc5c6d06421b1097b9969c8285e.tar.gz
current-5e846dcebfaa9dc5c6d06421b1097b9969c8285e.tar.xz
Sun Jun 9 18:41:17 UTC 202420240609184117
l/qt6-6.7.1_20240516_6977d02f-x86_64-3.txz: Rebuilt. Fixed config option: -DINSTALL_MKSPECSDIR=lib${LIBDIRSUFFIX}/qt6/mkspecs Thanks to USUARIONUEVO. x/fcitx5-qt-5.1.6-x86_64-2.txz: Rebuilt. Recompiled against qt6-6.7.1_20240516_6977d02f to fix segfaults. Thanks to rinza. x/mesa-24.1.1-x86_64-3.txz: Rebuilt. Don't allow amber drivers to overwrite modern ones. Thanks to LuckyCyborg. Bundle the subprojects instead of allowing them to download. xfce/xfce4-settings-4.18.5-x86_64-1.txz: Upgraded.
Diffstat (limited to '')
-rwxr-xr-xsource/l/qt6/qt6.SlackBuild4
-rwxr-xr-xsource/x/fcitx5-qt/fcitx5-qt.SlackBuild9
-rwxr-xr-xsource/x/mesa/mesa-amber.build6
-rwxr-xr-xsource/x/mesa/mesa.SlackBuild26
-rwxr-xr-xsource/xfce/xfce4-settings/xfce4-settings.SlackBuild2
5 files changed, 40 insertions, 7 deletions
diff --git a/source/l/qt6/qt6.SlackBuild b/source/l/qt6/qt6.SlackBuild
index fa51c00fc..e219ab49f 100755
--- a/source/l/qt6/qt6.SlackBuild
+++ b/source/l/qt6/qt6.SlackBuild
@@ -32,7 +32,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=qt6
VERSION=$(ls qt-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
PKGSRC=$(echo $VERSION | cut -d - -f 1)
PKGVER=$(echo $VERSION | tr - _)
@@ -209,7 +209,7 @@ cmake -S $(pwd) -B build-${PKGNAM} \
-DINSTALL_ARCHDATADIR=/usr/lib${LIBDIRSUFFIX}/qt6 \
-DINSTALL_DATADIR=/usr/share/qt6 \
-DINSTALL_INCLUDEDIR=/usr/include/qt6 \
- -DINSTALL_MKSPECSDIR=lib/qt6/mkspecs \
+ -DINSTALL_MKSPECSDIR=lib${LIBDIRSUFFIX}/qt6/mkspecs \
-DINSTALL_DOCDIR=/usr/doc/qt6-${PKGVER} \
-DINSTALL_EXAMPLESDIR=/usr/doc/qt6-${PKGVER}/examples \
-DFEATURE_libproxy=ON \
diff --git a/source/x/fcitx5-qt/fcitx5-qt.SlackBuild b/source/x/fcitx5-qt/fcitx5-qt.SlackBuild
index 6130a2679..3cf3900a8 100755
--- a/source/x/fcitx5-qt/fcitx5-qt.SlackBuild
+++ b/source/x/fcitx5-qt/fcitx5-qt.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fcitx5-qt
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.zst | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -33,7 +33,7 @@ NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
case "$MARCH" in
- i?86) export ARCH=i586 ;;
+ i?86) export ARCH=i686 ;;
armv7hl) export ARCH=$MARCH ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
@@ -44,6 +44,11 @@ fi
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ # Looks like this is baseline now... maybe time to bump everything to at least i686
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686 -mfpmath=sse -msse -msse2"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
diff --git a/source/x/mesa/mesa-amber.build b/source/x/mesa/mesa-amber.build
index 9a6d3d98e..a4531913a 100755
--- a/source/x/mesa/mesa-amber.build
+++ b/source/x/mesa/mesa-amber.build
@@ -82,8 +82,12 @@ meson setup \
DESTDIR=$PKG/cruft $NINJA install || exit 1
cd ..
-# We will install only the DRI drivers:
+# We will install only the DRI drivers.
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/dri
+# First, remove any drivers that were built by the newer Mesa:
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/dri ; /bin/ls * ) | while read newdriver ; do
+ rm -f -v $PKG/cruft/usr/lib${LIBDIRSUFFIX}/dri/$newdriver
+done
rsync -lHprvt $PKG/cruft/usr/lib${LIBDIRSUFFIX}/dri/ $PKG/usr/lib${LIBDIRSUFFIX}/dri/
rm -rf $PKG/cruft
diff --git a/source/x/mesa/mesa.SlackBuild b/source/x/mesa/mesa.SlackBuild
index 13824cd3e..f47cc7de1 100755
--- a/source/x/mesa/mesa.SlackBuild
+++ b/source/x/mesa/mesa.SlackBuild
@@ -26,7 +26,7 @@ PKGNAM=mesa
VERSION=${VERSION:-$(echo $PKGNAM-[0-9]*.tar.?z | rev | cut -f 3- -d . | rev | cut -f 2- -d -)}
AMBERVERS=${AMBERVERS:-21.3.9}
DEMOVERS=${DEMOVERS:-8.5.0}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
BUILD_AMBER=${BUILD_AMBER:-YES}
BUILD_DEMOS=${BUILD_DEMOS:-YES}
CODECS=${CODECS:-h264dec,h264enc,h265dec,h265enc,vc1dec,av1dec,av1enc,vp9dec}
@@ -104,6 +104,11 @@ if /bin/ls $CWD/patches-revert/*.patch 1> /dev/null 2> /dev/null ; then
done
fi
+# "Download" subprojects:
+if [ -r $CWD/mesa-subprojects.tar.lz ]; then
+ tar xvf $CWD/mesa-subprojects.tar.lz || exit 1
+fi
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
@@ -147,6 +152,25 @@ meson setup \
-Dintel-clc=enabled \
$INTELRT \
.. || exit 1
+
+ # If there's no mesa-subprojects.tar.lz in $CWD, let's try to make one:
+ if [ ! -r $CWD/mesa-subprojects.tar.lz ]; then
+ cd ..
+ mkdir -p tmp/subprojects
+ for file in subprojects/* ; do
+ if [ "$file" -nt "$PKG" ]; then
+ cp -a -v $file tmp/subprojects
+ fi
+ done
+ cd tmp
+ find . -name ".git*" -exec rm -r "{}" \; 2> /dev/null
+ tar cf $CWD/mesa-subprojects.tar subprojects
+ plzip -9 $CWD/mesa-subprojects.tar
+ cd ..
+ rm -r tmp
+ cd meson-build
+ fi
+
"${NINJA:=ninja}" $NUMJOBS || exit 1
DESTDIR=$PKG $NINJA install || exit 1
cd ..
diff --git a/source/xfce/xfce4-settings/xfce4-settings.SlackBuild b/source/xfce/xfce4-settings/xfce4-settings.SlackBuild
index 1ef9b4a58..65b93db33 100755
--- a/source/xfce/xfce4-settings/xfce4-settings.SlackBuild
+++ b/source/xfce/xfce4-settings/xfce4-settings.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xfce4-settings
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )